%define lib_major 0
%define lib_name lib%{name}%{lib_major}
Name: ibtk
Summary: Insomniac's toolkit
Version: 0.0.14_pre2
Release: 13mdk
Source: http://cvs.core.binghamton.edu/~insomnia/gatos/cvs/ibtk-0.0.14-pre2-CVS-19991207.tar.bz2
Group: Development/C
URL: http://cvs.core.binghamton.edu/~insomnia/gatos/
BuildRequires:	XFree86-devel
BuildRoot: %_tmppath/%name-%version-%release-root
License : GPL
Prefix: %{_prefix}

Obsoletes: ibtk-19990808-1mdk

%description
The Insomniacs toolkit is the GUI used by the gatos team
for more info see http://cvs.core.binghamton.edu/~insomnia/gatos/

I suck at these,
Basicly if you have an ATI TV tuner YOU want this BAD


%package -n %{lib_name}
Summary: Libraries, includes and other files to develop ibtk applications.
Group: Development/C
Provides: ibtk = %{version}-%{release}
Obsoletes: ibtk

%description -n %{lib_name}
The Insomniacs toolkit is the GUI used by the gatos team
for more info see http://cvs.core.binghamton.edu/~insomnia/gatos/

I suck at these,
Basicly if you have an ATI TV tuner YOU want this BAD

%package -n %{lib_name}-devel
Summary: Libraries, includes and other files to develop ibtk applications.
Group: Development/C
Provides: lib%{name}-devel
Requires: %{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use to develop ibtk
applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ibtk-0.0.14-pre2-CVS-19991207/

%build
libtoolize --force
%configure --enable-shared=yes --enable-static=no
%make

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_docdir}/ibtk-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libibtk.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc COPYING README NEWS ChangeLog docs
%{_includedir}/*
%{_libdir}/libibtk.so

%changelog
* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 0.0.14_pre2-13mdk
- rebuilt

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.14_pre2-12mdk
- BuildRequires:	XFree86-devel

* Mon Apr 09 2001 David BAUDENS <baudens@mandrakesoft.com> 0.0.14_pre2-11mdk
- Use %%_tmppath for BuildRoot (so, allow build as user)

* Fri Apr  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.0.14_pre2-10mdk
- corrected lib policy

* Tue Nov 28 2000 dam's <damien@mandrakesoft.com> 0.0.14_pre2-9mdk
- new lib policy.

* Tue Nov  7 2000 dam's <damien@mandrakesoft.com> 0.0.14_pre2-8mdk
- added some macros

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.0.14_pre2-7mdk
- BM + macrozification

* Thu Mar 23 2000 dam's <damien@mandrakesoft.com> 0.0.14_pre2-6mdk
- Release.

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.0.14_pre2-5mdk
- Libtoolizeafications.

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update for gatos

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update for gatos
- set sysconfdir 

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update to latest cvs version
- Enable SMP build/check macro

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update Source url
- Latest CVS : 
        -Minor bugfixes.
        -Renamed itk to ibtk (libitk -> libibtk).
        -Added IBTK version.h defines.
        -Added ELEMENT_SKIP support to IIntBox.
        -Added IIntBox ElementFlags support.
        -Added iconwindow support.
        -Added IBTK_WRAP support to IIntBox.
        -Started adding /etc/ibtk.conf support.
        -Added IDoDad flags support.
        -Added IBTK idle support (ActivityCallback).
        -Added ClickCallback support.
        -Fixed icon-name issue with IWindow.
        -Added generic hook support.
        -Fixed egcs compile with iintbox and irealbox callbacks.
        -Added DragCallback support.
        -Added ReleaseCallback support.

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Latest cvs snapshot :
        * Beginning standard channel frequency support.
	* Fixed "double verticle size with only have visible" BUG.
	* Made "always on top" wars less intense.
	* Added cropping/zooming support.  Should do something about it in DGA
	  mode in xatitv.


* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.0.14

* Fri Jul  2 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- test (more or less) generic spec file....
- initial itk rpm

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
